﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication47
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraDayView1.CreationFilter = new MyCreationFilter();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var calInfo = this.ultraDayView1.CalendarInfo;
            var today = calInfo.GetDay(DateTime.Today, true);
            calInfo.SelectedDateRanges.Add(today.Week.FirstDate, today.Week.LastDate);

            calInfo.Owners.UnassignedOwner.Visible = false;
            calInfo.Owners.Add("Owner A");
            calInfo.Owners.Add("Owner B");

                        
            this.ultraDayView1.GroupingStyle = Infragistics.Win.UltraWinSchedule.DayViewGroupingStyle.DateWithinOwner;
            //this.ultraDayView1.GroupingStyle = Infragistics.Win.UltraWinSchedule.DayViewGroupingStyle.OwnerWithinDate;

            this.ultraDayView1.ShowOwnerHeader = Infragistics.Win.DefaultableBoolean.True;

        }
    }
}
